import { ReactNode, FC } from 'react';
import { AudioTypes } from './entities/audio';
import { DocumentTypes } from './entities/document';
import { ImageTypes } from './entities/image';
import { InputTypes } from './entities/input';
import { VideoTypes } from './entities/video';
import { SizeFormat } from './lib';
type InitOptions<T> = {
    defaultPreview?: string;
    formDataName?: string;
    sizeFormat?: SizeFormat;
} & InputTypes.Input<T>;
type Files<T> = T extends 'image' ? ImageTypes.ImageProxy : T extends 'audio' ? AudioTypes.AudioProxy : T extends 'video' ? VideoTypes.VideoProxy : DocumentTypes.DocumentProxy;
declare function useFileUploader<T>(options: InitOptions<T>): [FC<{
    children: ReactNode;
}>, Files<T>[], boolean, FormData | null];
export type { InitOptions, ImageTypes, VideoTypes, AudioTypes, InputTypes };
export default useFileUploader;
